%global project bench

Name:             python-frappe-%project
Version:          0.92
Release:          4%{?dist}
Summary:          Command line tool to admin Frappe apps
License:          GPLv3+
URL:              https://github.com/frappe/bench
Source0:          https://github.com/frappe/bench/archive/v0.92.tar.gz
Source1:          frappe_bench_dir
Source2:          bench.1

BuildArch:        noarch
# Exclusive archs must match python-frappe
ExclusiveArch: %{ix86} x86_64 %{arm} noarch

BuildRequires:    python2-devel
BuildRequires:    python-setuptools

Requires:         python-jinja2
Requires:         python-semantic_version
Requires:         python-rauth
Requires:         python-requests
Requires:         python-celery
Requires:         python-click
Requires:         GitPython
Requires:         python-honcho

%description
The bench allows you to setup Frappe apps on your local Linux machine 
or a production server. You can use the bench to serve multiple frappe sites.

%prep
%setup -q -n %project-%version
rm -rf %{project}.egg.info

chmod 755 bench/release.py
sed -i 1d bench/release.py
sed -i -e '1i#!/usr/bin/python' bench/release.py
#Relax requires
sed -i 14d setup.py
sed -i 17d setup.py

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root %{buildroot}

#This should be done for setup.py
cp -a %{project} %{buildroot}%{python2_sitelib}

install -Dp -m0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/frappe_bench_dir

mkdir -p %{buildroot}/%{_mandir}/man1
install -p -m 0644 %{SOURCE2} %{buildroot}/%{_mandir}/man1/

%files
%doc README.md
%license LICENSE.md
%{python2_sitelib}/*
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/*
%{_mandir}/man1/* 

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.92-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jul 27 2015 William Moreno Reyes <williamjmorenor at gmail.com> 
- 0.92-3
- Initial Import of #1228943
